Skip to main content

Query Universal Transfer History (For Master Account)

Request

get /api/v3/capital/sub-account/universalTransfer

Response

  {
"tranId":"11945860693",
"fromAccount":"master@test.com",
"toAccount":"subaccount1@test.com",
"clientTranId":"test",
"asset":"BTC",
"amount":"0.1",
"fromAccountType":"SPOT",
"toAccountType":"FUTURE",
"fromSymbol":"SPOT",
"toSymbol":"FUTURE",
"status":"SUCCESS",
"timestamp":1544433325000
}
  • GET /api/v3/capital/sub-account/universalTransfer

Permission: SPOT_TRANSFER_READ

Weight(IP): 1

Parameters:

NameTypeMandatoryDescription
clientTranIdstringNO32-character alphanumeric string
fromAccountstringNOTransfer from master account by default if fromAccount is not sent
toAccountstringNOTransfer to master account by default if toAccount is not sent
fromAccountTypestringYESfromAccountType:"SPOT","FUTURES"
toAccountTypestringYEStoAccountType:"SPOT","FUTURES"
startTimestringNOUnix millisecond timestamp
endTimestringNOUnix millisecond timestamp
pagestringNOdefault 1
limitstringNOdefault 500, max 500
timestampstringYEStimestamp
signaturestringYESsign

Response:

NameTypeDescription
tranIdstringtransfer ID
fromAccountstringfromAccount
toAccountstringtoAccount
clientTranIdstringclientTranId
assetstringasset
amountstringtransfer amount
fromAccountTypestringfromAccountType
toAccountTypestringtoAccountType
fromSymbolstringfromSymbol
toSymbolstringtoSymbol
statusstringstatus
timestampnumbertimestamp